package com.yonge.cooleshow.biz.dal.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/4/21 11:29
 */
@ApiModel(value = "HomeTotalTeacher", description = "后台首页老师数据统计查询对象")
public class HomeTotalTeacher {
    @ApiModelProperty("老师注册量 ")
    private Integer registerNum;
    @ApiModelProperty("认证老师 ")
    private Integer entryNum;
    @ApiModelProperty("直播老师 ")
    private Integer liveNum;
    @ApiModelProperty("平台音乐人 ")
    private Integer musicianNum;
    @ApiModelProperty("时间（详情数据中使用） ")
    private String timeStr;
    @ApiModelProperty("详情数据 ")
    private List<HomeTotalTeacher> infoList;

    @ApiModelProperty("点亮徽章")
    private Integer tagNum;

    @ApiModelProperty("个人风采人数")
    private Integer styleTagNum;

    @ApiModelProperty("视频课人数")
    private Integer videoTagNum;

    @ApiModelProperty("直播课人数")
    private Integer liveTagNum;

    @ApiModelProperty("曲目人数")
    private Integer musicTagNum;

    public Integer getStyleTagNum() {
        return styleTagNum;
    }

    public void setStyleTagNum(Integer styleTagNum) {
        this.styleTagNum = styleTagNum;
    }

    public Integer getVideoTagNum() {
        return videoTagNum;
    }

    public void setVideoTagNum(Integer videoTagNum) {
        this.videoTagNum = videoTagNum;
    }

    public Integer getLiveTagNum() {
        return liveTagNum;
    }

    public void setLiveTagNum(Integer liveTagNum) {
        this.liveTagNum = liveTagNum;
    }

    public Integer getMusicTagNum() {
        return musicTagNum;
    }

    public void setMusicTagNum(Integer musicTagNum) {
        this.musicTagNum = musicTagNum;
    }

    public Integer getTagNum() {
        return tagNum;
    }

    public void setTagNum(Integer tagNum) {
        this.tagNum = tagNum;
    }

    public Integer getRegisterNum() {
        return registerNum;
    }

    public void setRegisterNum(Integer registerNum) {
        this.registerNum = registerNum;
    }

    public Integer getEntryNum() {
        return entryNum;
    }

    public void setEntryNum(Integer entryNum) {
        this.entryNum = entryNum;
    }

    public Integer getLiveNum() {
        return liveNum;
    }

    public void setLiveNum(Integer liveNum) {
        this.liveNum = liveNum;
    }

    public Integer getMusicianNum() {
        return musicianNum;
    }

    public void setMusicianNum(Integer musicianNum) {
        this.musicianNum = musicianNum;
    }

    public String getTimeStr() {
        return timeStr;
    }

    public void setTimeStr(String timeStr) {
        this.timeStr = timeStr;
    }

    public List<HomeTotalTeacher> getInfoList() {
        return infoList;
    }

    public void setInfoList(List<HomeTotalTeacher> infoList) {
        this.infoList = infoList;
    }
}